package be.iminds.ilabt.jfed.experimenter_gui.bugreporting;

import be.iminds.ilabt.jfed.highlevel.jobs.report.JobReport;
import be.iminds.ilabt.jfed.highlevel.jobs.report.JobStateReport;

import java.util.ArrayList;
import java.util.List;

/**
 * User: twalcari
 * Date: 12/16/2015
 * Time: 09:36
 */
public class SerializableJobReport {

    private String name;
    private List<SerializableJobStateReport> jobStateReports = new ArrayList<>();

    public SerializableJobReport(JobReport jobReport) {
        this.name = jobReport.getName();
        for (JobStateReport jobStateReport : jobReport.getJobStateReports()) {
            jobStateReports.add(new SerializableJobStateReport(jobStateReport));
        }
    }

    public SerializableJobReport() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<SerializableJobStateReport> getJobStateReports() {
        return jobStateReports;
    }

    public void setJobStateReports(List<SerializableJobStateReport> jobStateReports) {
        this.jobStateReports = jobStateReports;
    }
}
